GetExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.GetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class GetExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.GetExecutor

public class GetExecutor
extends AbstractExecutor

Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Version:
  $Id: GetExecutor.java 687177 2008-08-19 22:00:32Z nbubna $
Author:
  Jason van Zyl

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`log`

Constructor Summary
`GetExecutor(Log log, Introspector introspector, Class clazz, String property)`
`GetExecutor(RuntimeLogger rlog, Introspector introspector, Class clazz, String property)` Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Method Summary
`protected void` | `discover(Class clazz)`
`Object` | `execute(Object o)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetExecutor

    public GetExecutor(Log log,
                       Introspector introspector,
                       Class clazz,
                       String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
Since:
  1.5

### GetExecutor

    public GetExecutor(RuntimeLogger rlog,
                       Introspector introspector,
                       Class clazz,
                       String property)

  Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Parameters:
  `rlog` -
  `introspector` -
  `clazz` -
  `property` -

Method Detail

### discover

    protected void discover(Class clazz)

  Since:
    1.5

### execute

    public Object execute(Object o)
                   throws IllegalAccessException,
                          InvocationTargetException

  Description copied from class: `AbstractExecutor`
  Execute method against context.

  Specified by:
    `execute` in class `AbstractExecutor`
  Parameters:
    `o` -
  Returns:
    The resulting object.
  Throws:
    `InvocationTargetException`
    `IllegalAccessException`
  See Also:
    `AbstractExecutor.execute(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.